Lightsquid Install Failed



  • Running 1.2-RC3

    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Lightsquid and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.

    Any ideas?



  • As far as I know this package is not working with 1.2RC3 even if you did get it installed.  I was able to install it - but it won't generate reports any more.  http://forum.pfsense.org/index.php/topic,7017.0.html

    Did you make sure to have squid installed and working before trying to install lightsquid?



  • Squid is installed and working.



  • Have problem with sub-packages - another version alredy installed
    Need You pkg_info list



  • I have never used pkg_info list can you please explain a little more please.



  • He's asking you to open up the GUI and go to Diagnostics/Command and type pkg_info in the Command box.  Copy and paste the output of the pkg_info command here.



  • Here you go.

    $ pkg_info
    bsdinstaller-2.0.2006.0728 BSD Installer mega-package
    cpdup-1.05          A comprehensive filesystem mirroring program
    db3-3.3.11_3,1      The Berkeley DB package, revision 3.3
    freetype2-2.1.10_3  A free and portable TrueType font rendering engine
    gd-2.0.33_4,1      A graphics library for fast creation of images
    gdbm-1.8.3_2        The GNU database manager
    imspector-0.3      Instant Messenger transparent proxy with logging capabiliti
    jpeg-6b_4          IJG's jpeg compression utilities
    libiconv-1.9.2_2    A character set conversion library
    libxml2-2.6.23_1    XML parser library for GNOME
    lighttpd-1.4.13    A secure, fast, compliant, and very flexible Web Server
    lua-5.0.2_1        Small, compilable scripting language providing easy access
    mysql-client-5.1.6_1 Multithreaded SQL database (client)
    ntop-3.2_2          Network monitoring tool with command line and web interface
    openldap-client-2.3.30 Open source LDAP client implementation
    pcre-6.7            Perl Compatible Regular Expressions library
    perl-5.8.8          Practical Extraction and Report Language
    pkgconfig-0.20      A utility to retrieve information about installed libraries
    png-1.2.8_3        Library for manipulating PNG images
    scriptaculous-js-1.7.1_1 script.aculo.us JavaScript Framework
    squid-2.6.5        HTTP Caching Proxy
    squid_radius_auth-1.0.8 RADIUS authenticator for squid proxy 2.5 and later
    windows_js-1.3_1    windows JavaScript Framework



  • ???
    I test on old and fresh pfSense 1.2Beta3 installations - all work fine
    On new installation i setup squid package and lightsquid only
    On old versions have any other packages

    ps
    but on fresh installation i can't installing nut package

    Any body have other comments about problem?



  • I have problem with NUT as well, but for me is not important as lightsquid
    ;-)
    Michael



  • My /usr/local/www/lightsquid/.htaccess

    Options FollowSymLinks ExecCGI
    DirectoryIndex index.cgi
    


  • I have checked .htaccess in first place…  ;)
    Unfortunately, I have the same as yours  :-[

    I'm out of ideas.. I think it must by something in firewall system files..
    I tried reinstall package.. reinstaling pass through.

    And I've just noticed one more thing... there is nothing happend when I press refresh button.. After first instalation it is required step, and cause that system greps squid logs... Now nothing happend  ???

    Michael



  • May be Lighttpd settings have changes or different webGUI port (not 80)?


Log in to reply